This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 149863 - format string requires additional arguments
format string requires additional arguments
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libsndfile (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-28 09:44 EST by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-05 16:07:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch [candidate] (559 bytes, patch)
2005-02-28 16:33 EST, Michael Schwendt
no flags Details | Diff

  None (edit)
Description David Binderman 2005-02-28 09:44:37 EST
Description of problem:

I just tried to compile package libsndfile-1.0.4-2 from 
Redhat Fedora Extras development tree.

The compiler said

svx.c(262): warning #267: the format string requires additional arguments

The source code is

	psf_log_printf (psf, "  Channels : %d => %d\n", channels) ;

Two %d specifiers, only one trailing parameter. I'm not sure what the 
fix is for this.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Michael Schwendt 2005-02-28 16:33:45 EST
Created attachment 111499 [details]
patch [candidate]

Reading the code, I've sent this upstream.
Comment 2 Michael Schwendt 2005-03-01 10:13:11 EST
Upstream acknowledged fix is to just print

  psf_log_printf (psf, "  Channels : %d\n", channels) ;

as the code can only handle mono files.

As an update for libsndfile was already in the fedora.us queue, I
think we somehow get that update done and this fix included, too.
Comment 3 Michael Schwendt 2005-04-05 16:07:16 EDT
fixed in libsndfile-1.0.11-1

Note You need to log in before you can comment on or make changes to this bug.